﻿Public Class SettingForm

    Private Sub SettingForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        smartRadioButton1.GroupID = 1
        smartRadioButton2.GroupID = 1

        Dim mainForm As MainForm = CType(Me.Owner, MainForm)
        Dim strOptionValue As String = mainForm.OptionValue

        ' 읽어온 설정값에 따라 라디오버튼 체크
        If strOptionValue = "FormLoad" Then
            smartRadioButton1.Checked = True
        ElseIf strOptionValue = "Always" Then
            smartRadioButton2.Checked = True
        Else
            smartRadioButton1.Checked = False
            smartRadioButton2.Checked = False
        End If
    End Sub

    Private Sub btnApply_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnApply.Click
        Dim mainForm As MainForm = CType(Me.Owner, MainForm)

        ' 적용 버튼을 눌렀을 때 활성화 되어있는 라디오버튼을 기준으로 Option을 설정하고 ini 형식의 파일로 저장
        If smartRadioButton1.Checked = True Then
            mainForm.OptionValue = "FormLoad"
        ElseIf smartRadioButton2.Checked = True Then
            mainForm.OptionValue = "Always"
        End If

        Me.DialogResult = DialogResult.OK
    End Sub

    Private Sub btnCancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCancel.Click
        Me.DialogResult = DialogResult.Cancel
    End Sub
End Class